# Class ExecuteStatementResponse

java.lang.Object
com.databricks.jdbc.model.client.sqlexec.ExecuteStatementResponse

public class ExecuteStatementResponse extends Object
Execute statement response POJO

TODO: Replace this class with the corresponding SDK implementation once it becomes available

## Constructor Summary

Constructors
Constructor
Description
`ExecuteStatementResponse()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`ResultManifest`
`getManifest()`
`ResultData`
`getResult()`
`String`
`getStatementId()`
`StatementStatus`
`getStatus()`
`int`
`hashCode()`
`ExecuteStatementResponse`
`setManifest(ResultManifest manifest)`
`ExecuteStatementResponse`
`setResult(ResultData result)`
`ExecuteStatementResponse`
`setStatementId(String statementId)`
`ExecuteStatementResponse`
`setStatus(StatementStatus status)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExecuteStatementResponse

public ExecuteStatementResponse()

## Method Details

### setManifest

public ExecuteStatementResponse setManifest(ResultManifest manifest)

### getManifest

public ResultManifest getManifest()

### setResult

public ExecuteStatementResponse setResult(ResultData result)

### getResult

public ResultData getResult()

### setStatementId

public ExecuteStatementResponse setStatementId(String statementId)

### getStatementId

public String getStatementId()

### setStatus

public ExecuteStatementResponse setStatus(StatementStatus status)

### getStatus

public StatementStatus getStatus()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`